Subject: Re: bug#63811: 29.0.91; todo-mode item editing bugs
From: Stephen Berman <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Wed, 31 May 2023 16:25:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 31 May 2023 15:31:07 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Date: Wed, 31 May 2023 11:12:32 +0200
>>
>> I have encountered several bugs in todo-mode when creating and editing
>> todo items.  I have fixes for them and since I'm the todo-mode
>> maintainer I intend to push them to the Savannah repo when I get a bug
>> number and clearance for which branch to push to.  The bugs are
>> long-standing, at least since Emacs 28 and probably earlier.  The fixes
>> touch no code outside of todo-mode.el and seem low-risk; in my testing
>> they work as expected.  I've attached a diff against emacs-29 below (the
>> todo-mode.el files in current emacs-29 and master are identical).
>
> Assuming all the tests still pass after these changes, please go ahead
> and install on emacs-29, and thanks.

All todo-mode tests passed `make check'.  I did get some unexpected
failures in a few other tests and a hang in epg-tests, but the same
thing happened when I ran `make check' on my master branch, which does
not have the todo-mode changes, so these are not responsible for the
test problems, and I went ahead and pushed the changes to emacs-29 and
am closing the bug report.  Thanks.

Steve Berman